<?php

/**
 * @version    CVS: 1.3.0
 * @package    Com_Justseo
 * @author     Rian <rian.rodrigo.webmaster@gmail.com>
 * @copyright  Copyright (C) 2015. Tutti i diritti riservati.
 * @license    GNU General Public License versione 2 o successiva; vedi LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

/**
 * Justseo helper.
 *
 * @since  1.6
 */
class JustseoHelper
{
	/**
	 * Configure the Linkbar.
	 *
	 * @param   string  $vName  string
	 *
	 * @return void
	 */
	public static function addSubmenu($vName = '')
	{
				JHtmlSidebar::addEntry(
			JText::_('COM_JUSTSEO_TITLE_JUST_SEOS'),
			'index.php?option=com_justseo&view=just_seos',
			$vName == 'just_seos'
		);
	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return    JObject
	 *
	 * @since    1.6
	 */
	public static function getActions()
	{
		$user   = JFactory::getUser();
		$result = new JObject;

		$assetName = 'com_justseo';

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action)
		{
			$result->set($action, $user->authorise($action, $assetName));
		}

		return $result;
	}
}
