<?php

defined('_JEXEC') or die('Restricted access');

/**
 * @package             Joomla
 * @subpackage          CoalaWeb Contact Module
 * @author              Steven Palmer
 * @author url          http://coalaweb.com
 * @author email        support@coalaweb.com
 * @license             GNU/GPL, see /assets/en-GB.license.txt
 * @copyright           Copyright (c) 2014 Steven Palmer All rights reserved.
 *
 * CoalaWeb Contact is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
JHTML::_('behavior.calendar');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.modal');

?>
<div class="custom<?php echo $moduleclass_sfx ?>">
    <div class="cw-mod-contact-<?php echo "$theme$formWidth"; ?>" id="<?php echo $moduleUniqueId ?>">
        <?php if (!$recipient) : ?>
            <div id="cw-mod-contact-<?php echo $theme; ?>">
                <div class="cwc-msg">
                    <span class="error">
                        <?php echo $msgRemailMissing ?>
                    </span>
                </div>
            </div>
        <?php else : ?>
            <div id="cw-mod-contact-<?php echo $theme; ?>">
                <?php if (isset($emailSent) && $emailSent == true) : ?>
                    <?php $app->redirect($sucessUrl, $msgEmailSent); ?>
                <?php else : ?>
                    <form id="cw-mod-contact-<?php echo $theme.'-fm'.$moduleUniqueId ?>" action="<?php echo $samePageUrl . '#cw-mod-contact-'.$theme.'-fm'.$moduleUniqueId ?>" method="post" enctype="multipart/form-data" class="form-validate">
                        
                        <?php if ($displayName == 'Y' || $displayName == 'R') : ?>
                        <!-- Start Name -->
                        <div class="span4">
                            <div class="input">
                                <label for="cw_mod_contact_name<?php echo $moduleUniqueId ?>">
                                    <?php echo $nameLbl.':'; ?>
                                </label>
                                <input type="text" name="cw_mod_contact_name<?php echo $moduleUniqueId ?>" id="cw_mod_contact_name<?php echo $moduleUniqueId ?>" value="<?php echo (isset($name) ? $name : null )?>" class="<?php echo (($displayName === 'R') ? 'required' : null) ?>" data-errormessage-value-missing="<?php echo $msgNameMissing ?>" placeholder="<?php echo $nameHint; ?>" />
                                <?php if ($nameError) : ?>
                                <div class="cwc-msg">
                                    <span class="error">
                                        <?php echo $nameError; ?>
                                    </span>
                                </div>
                                <?php endif; ?>
                            </div>
                            </div>
                        <!-- End Name -->
                        <?php endif; ?>

                        <!-- Start Email -->
                        <div class="span4">
                        	<div class="input">
                            <label for="cw_mod_contact_email<?php echo $moduleUniqueId ?>">
                                <?php echo $emailLbl.':'; ?>
                            </label>
                            <input type="email" name="cw_mod_contact_email<?php echo $moduleUniqueId ?>" id="cw_mod_contact_email<?php echo $moduleUniqueId ?>" value="<?php echo (isset($email) ? $email : null )?>" class="required validate-email" data-errormessage-type-mismatch="<?php echo $msgEmailInvalid ?>" data-errormessage-value-missing="<?php echo $msgEmailMissing ?>" placeholder="<?php echo $emailHint; ?>" />
                            <?php if ($emailError) : ?>
                            <div class="cwc-msg">
                                <span class="error">
                                    <?php echo $emailError; ?>
                                </span>
                            </div>
                            <?php endif; ?>
                        </div>
                        </div>
                        <!-- End Email -->
                        
                         <?php if ($displayCInput3 == 'Y' || $displayCInput3 == 'R') : ?>
                            <!-- Start Custom Input 3 -->
                         <div class="span4">
                           <div class="input">
                                <label for="cw_mod_contact_cinput3<?php echo $moduleUniqueId ?>">
                                    <?php echo $cInput3Lbl.':'; ?>
                                </label>
                                <input type="text" name="cw_mod_contact_cinput3<?php echo $moduleUniqueId ?>" id="cw_mod_contact_cinput3<?php echo $moduleUniqueId ?>" value="<?php echo (isset($cInput3) ? $cInput3 : null )?>" class="<?php echo (($displayCInput3 === 'R') ? 'required' : null) ?>" data-errormessage-value-missing="<?php echo $msgCInput3Missing ?>" placeholder="<?php echo $cInput3Hint; ?>" />
                                <?php if ($cInput3Error) : ?>
                                <div class="cwc-msg">
                                    <span class="error">
                                        <?php echo $cInput3Error; ?>
                                    </span>
                                </div>
                                <?php endif; ?>
                            </div>
                            </div>
                            <!-- End Custom Input 3 -->
                        <?php endif; ?>
                        
                        

                        <?php if ($displaySubject == 'Y' || $displaySubject == 'R') : ?>
                        <!-- Start Subject -->
                            <div class="input">
                                <label for="cw_mod_contact_subject<?php echo $moduleUniqueId ?>">
                                    <?php echo $subjectLbl.':'; ?>
                                </label>
                                <input type="text" name="cw_mod_contact_subject<?php echo $moduleUniqueId ?>" id="cw_mod_contact_subject<?php echo $moduleUniqueId ?>" value="<?php echo (isset($subject) ? $subject : null )?>" class="<?php echo (($displaySubject === 'R') ? 'required' : null) ?>" data-errormessage-value-missing="<?php echo $msgSubjectMissing ?>" placeholder="<?php echo $subjectHint; ?>" />
                                <?php if ($subjectError) : ?>
                                <div class="cwc-msg">
                                    <span class="error">
                                        <?php echo $subjectError; ?>
                                    </span>
                                </div>
                                <?php endif; ?>
                            </div>
                        <!-- End Subject -->
                        <?php endif; ?>
                        <?php if ($displayCalFrom == 'Y' || $displayCalFrom == 'R') : ?>
                            <!-- Start Date From -->
                            <div class="span4">
                            <div class="cal">
                                <label for="cw_mod_contact_cal_from<?php echo $moduleUniqueId ?>">
                                    <?php echo $calFromLbl . ':'; ?>
                                </label>
                                <?php $calFromValue = (isset($calFrom) ? $calFrom : null ); ?>
                                <?php echo JHTML::calendar($calFromValue, 'cw_mod_contact_cal_from' . $moduleUniqueId . '', 'cw_mod_contact_cal_from' . $moduleUniqueId . '', $dateFormatOld, array('size' => '8', 'maxlength' => '25', 'class' => 'inputbox','placeholder'=>$calFromLbl)); ?>
                                <?php if ($calFromError) : ?>
                                <div class="cwc-msg">
                                    <span class="error">
                                        <?php echo $calFromError; ?>
                                    </span>
                                </div>
                                <?php endif; ?>
                            </div>
                            <?php if ($displayFormat) : ?>
                               <div class="cal-format">
                                    <label>
                                        <?php echo $dateFormatLabel . ': <span class="char-counter">' . $formatHint . '</span>'?>
                                    </label>
                                </div>
                            <?php endif; ?>
                            <!-- End Date From -->
                            </div>
                         <?php endif; ?>
                        <?php if ($displayCInput1 == 'Y' || $displayCInput1 == 'R') : ?>
                        <div class="span4">
                        <!-- Start Custom Input 1 -->
                            <div class="input">
                                <label for="cw_mod_contact_cinput1<?php echo $moduleUniqueId ?>">
                                    <?php echo $cInput1Lbl.':'; ?>
                                </label>
                                <?php
								if(strpos($cInput1Hint,";"))
								{
									?>
                                    <select name="cw_mod_contact_cinput1<?php echo $moduleUniqueId ?>" id="cw_mod_contact_cinput1<?php echo $moduleUniqueId ?>" class="<?php echo (($displayCInput1 === 'R') ? 'required' : null) ?>">
                                    <option><?php echo $cInput1Lbl; ?></option>
                                    <?php
									$arr=explode(";",$cInput1Hint);
									
									foreach($arr as $itm)
									{
										echo '<option value="'.$itm.'">'.$itm.'</option>';
									}
									?>
                                    </select>
                                    <?php
								}
								else
								{
								?>
                                <input type="text" name="cw_mod_contact_cinput1<?php echo $moduleUniqueId ?>" id="cw_mod_contact_cinput1<?php echo $moduleUniqueId ?>" value="<?php echo (isset($cInput1) ? $cInput1 : null )?>" class="<?php echo (($displayCInput1 === 'R') ? 'required' : null) ?>" data-errormessage-value-missing="<?php echo $msgCInput1Missing ?>" placeholder="<?php echo $cInput1Hint; ?>" />
                                <?php
								}
								?>
                                <?php if ($cInput1Error) : ?>
                                <div class="cwc-msg">
                                    <span class="error">
                                        <?php echo $cInput1Error; ?>
                                    </span>
                                </div>
                                <?php endif; ?>
                            </div>
                            </div>
                        <!-- End Custom Input 1 -->
                        <?php endif; ?>
                        
                        <?php if ($displayCInput2 == 'Y' || $displayCInput2 == 'R') : ?>
                        <!-- Start Custom Input 2 -->
                        <div class="span4">
                        	<div class="input">
                                <label for="cw_mod_contact_cinput2<?php echo $moduleUniqueId ?>">
                                    <?php echo $cInput2Lbl.':'; ?>
                                </label>
                                
                                <?php
								if(strpos($cInput2Hint,";"))
								{
									?>
                                    <select name="cw_mod_contact_cinput2<?php echo $moduleUniqueId ?>" id="cw_mod_contact_cinput2<?php echo $moduleUniqueId ?>" class="<?php echo (($displayCInput2 === 'R') ? 'required' : null) ?>">
                                    <option><?php echo $cInput2Lbl; ?></option>
                                    <?php
									$arr=explode(";",$cInput2Hint);
									
									foreach($arr as $itm)
									{
										echo '<option value="'.$itm.'">'.$itm.'</option>';
									}
									?>
                                    </select>
                                    <?php
								}
								else
								{
								?>
                                <input type="text" name="cw_mod_contact_cinput2<?php echo $moduleUniqueId ?>" id="cw_mod_contact_cinput2<?php echo $moduleUniqueId ?>" value="<?php echo (isset($cInput2) ? $cInput2 : null )?>" class="<?php echo (($displayCInput2 === 'R') ? 'required' : null) ?>" data-errormessage-value-missing="<?php echo $msgCInput2Missing ?>" placeholder="<?php echo $cInput2Hint; ?>" />
                                <?php
								}
								?>
                                <?php if ($cInput2Error) : ?>
                                <div class="cwc-msg">
                                    <span class="error">
                                        <?php echo $cInput2Error; ?>
                                    </span>
                                </div>
                                <?php endif; ?>
                            </div>
                         </div>
                        <!-- End Custom Input 2 -->
                        <?php endif; ?>
                        
                       

                        
                        
                        
                        <?php if ($displayCalTo == 'Y' || $displayCalTo == 'R') : ?>
                            <!-- Start Date To -->
                            <div class="cal">
                                <label for="cw_mod_contact_cal_to<?php echo $moduleUniqueId ?>">
                                    <?php echo $calToLbl . ':'; ?>
                                </label>
                                <?php $calToValue = (isset($calTo) ? $calTo : null ); ?>
                                <?php echo JHTML::calendar($calToValue, 'cw_mod_contact_cal_to' . $moduleUniqueId . '', 'cw_mod_contact_cal_to' . $moduleUniqueId . '', $dateFormatOld, array('size' => '8', 'maxlength' => '25', 'class' => 'inputbox')); ?>
                                <?php if ($calToError) : ?>
                                <div class="cwc-msg">
                                    <span class="error">
                                        <?php echo $calToError; ?>
                                    </span>
                                </div>
                                <?php endif; ?>
                            </div>
                            <?php if ($displayFormat) : ?>
                                <div class="cal-format">
                                    <label>
                                        <?php echo $dateFormatLabel . ': <span class="char-counter">' . $formatHint . '</span>'?>
                                    </label>
                                </div>
                            <?php endif; ?>
                            <!-- End Date To -->
                        <?php endif; ?>
                        
                        <?php if ($displayMessage == 'Y' || $displayMessage == 'R') : ?>
                            <!-- Start Message -->
                            <div class="input">
                                <label for="cw_mod_contact_message<?php echo $moduleUniqueId ?>">
                                    <?php echo $messageLbl.':'; ?>
                                </label>
                                <textarea name="cw_mod_contact_message<?php echo $moduleUniqueId ?>" id="cw_mod_contact_message<?php echo $moduleUniqueId ?>" class="<?php echo (($displayMessage === 'R') ? 'required' : null) ?>" rows="6" maxlength="<?php echo $charLimit ?>" data-errormessage-value-missing="<?php echo $msgMessageMissing ?>" placeholder="<?php echo $messageHint; ?>"><?php echo (isset($message) ? $message : null )?></textarea>
                                <?php if ($msgError) : ?>
                                <div class="cwc-msg">
                                    <span class="error">
                                        <?php echo $msgError; ?>
                                    </span>
                                </div>
                                <?php endif; ?>
                            </div>
                            <?php if ($displayChar) : ?>
                                <div class="charcount">
                                    <label>
                                        <?php echo $charcountLbl . ' <span id="cw_mod_contact_counter' . $moduleUniqueId . '" class="char-counter"></span> ' . $charcountLblEnd ?>
                                    </label>
                                </div>
                            <?php endif; ?>
                            <!-- End Message -->
                        <?php endif; ?>
                        
                        <?php if ($whichCaptcha == 'basic') : ?>
                            <?php if ($displayCapTitle) : ?>
                            <div class="cwc-msg">
                                <span class="success">
                                    <?php echo $captchaHeading; ?>
                                </span>
                            </div>
                            <?php endif; ?>
                            <div class="input">
                                <label for="cw_mod_contact_captcha<?php echo $moduleUniqueId; ?>">
                                <?php echo $bCaptchaQuestion; ?>
                                </label> 
                                <input type="text" class="required" name="cw_mod_contact_captcha<?php echo $moduleUniqueId ?>" id="cw_mod_contact_captcha<?php echo $moduleUniqueId ?>" value="<?php echo (isset($capEnter) ? $capEnter : null )?>" data-errormessage-value-missing="<?php echo $msgCaptchaWrong ?>" placeholder="<?php echo $captchaHint; ?>"/>
                                <?php if ($captchaError) : ?>
                                    <div class="cwc-msg">
                                        <span class="error">
                                            <?php echo $captchaError; ?>
                                        </span>
                                    </div>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>

                        <?php if ($whichCaptcha == 'math') : ?>
                            <?php if ($displayCapTitle) : ?>
                                <div class="cwc-msg">
                                    <span class="success">
                                        <?php echo $captchaHeading; ?>
                                    </span>
                                </div>
                            <?php endif; ?>
                            <div class="input">
                                <label for="cw_mod_contact_captcha<?php echo $moduleUniqueId; ?>">
                                <?php echo $mCaptchaLbl . ' ' . $_SESSION[$n1] . ' + ' . $_SESSION[$n2] . ' ' . $mCaptchaLblEnd; ?>
                                </label> 
                                <input type="text" class="required" name="cw_mod_contact_captcha<?php echo $moduleUniqueId ?>" id="cw_mod_contact_captcha<?php echo $moduleUniqueId ?>" value="<?php echo (isset($capEnter) ? $capEnter : null )?>" data-errormessage-value-missing="<?php echo $msgCaptchaWrong ?>" placeholder="<?php echo $captchaHint; ?>"/>
                                <?php if ($captchaError) : ?>
                                    <div class="cwc-msg">
                                        <span class="error">
                                            <?php echo $captchaError; ?>
                                        </span>
                                    </div>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>

                        <?php if ($whichCaptcha == 'recaptcha') : ?>
                            <?php if ($displayCapTitle) : ?>
                                <div class="cwc-msg">
                                    <span class="success">
                                        <?php echo $captchaHeading; ?>
                                    </span>
                                </div>
                            <?php endif; ?>
                            <div class="recaptcha">
                                <div class="input">
                                    <?php echo recaptcha_get_html($publicKey); ?>
                                </div>
                                <?php if ($captchaError) : ?>
                                    <div class="cwc-msg">
                                        <span class="error">
                                            <?php echo $captchaError; ?>
                                        </span>
                                    </div>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>

                        <?php if ($displayTos == 'Y' || $displayTos == 'R') : ?>
                            <div class="tos">
                                <input type="checkbox" name="cw_mod_contact_tos<?php echo $moduleUniqueId ?>" id="cw_mod_contact_tos<?php echo $moduleUniqueId ?>" value="1" <?php echo ($tos == "1" ? 'checked="checked"' : null )?> class="<?php echo (($displayTos === 'R') ? 'required' : null) ?>" data-errormessage-value-missing="<?php echo $msgTosMissing ?>" />
                                <label for="cw_mod_contact_tos<?php echo $moduleUniqueId ?>">
                                    <?php echo $tosLbl . '<a class="modal" rel="{size: {x: 800, y: 470}, handler:\'iframe\'}" href="index.php?option=com_content&view=article&id='.$tosUrl.'&tmpl=component&task=preview" title="'.$tosLinkLbl.'">'.$tosLinkLbl.'</a>'; ?>
                                </label>
                            <?php if ($tosError) : ?>
                                <div class="cwc-msg">
                                    <span class="error">
                                        <?php echo $tosError; ?>
                                    </span>
                                </div>
                            <?php endif; ?>
                            </div>
                        <?php endif; ?>

                        <?php if ($displayCopyme) : ?>
                            <div class="copyme">
                                <input type="checkbox" name="cw_mod_contact_copyme<?php echo $moduleUniqueId ?>" id="cw_mod_contact_copyme<?php echo $moduleUniqueId ?>" value="1" <?php echo ($copyme == "1" ? 'checked="checked"' : null )?> class="copyme" />
                                <label for="cw_mod_contact_copyme<?php echo $moduleUniqueId ?>">
                                    <?php echo $copymeLbl; ?>
                                </label>
                            </div>
                        <?php endif; ?>

                        <div class="cw-mod-contact-<?php echo $theme; ?>-buttons">
                            <div class="btn-submit">
                                <button name="submit<?php echo $moduleUniqueId ?>" type="submit" id="submit<?php echo $moduleUniqueId ?>" class="<?php echo $submitStyle; ?>"><?php echo $submitBtn; ?></button>
                                <input type="hidden" name="modsubmitted<?php echo $moduleUniqueId ?>" id="submitted" value="true" />
                                <?php echo JHTML::_( 'form.token' ); ?>
                            </div>
                        </div>
                    </form>			
                <?php endif; ?>
            </div>
             
<?php endif; ?>
    </div>
</div>